import { useEffect as o } from "react";
import { u } from "./provider.js";
const f = ({ token: t, schema: i }) => {
  const r = u();
  return o(() => {
    t && i && r && r.authorizationBypass(i, t), r && (r.withAuth = !0);
  }, [t, i, r]), null;
};
export {
  f as StreamLayerLogin
};
